Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.manager
Interface IExportImportManager

All Known Subinterfaces:
  ExportImportManager

public interface IExportImportManager

This is the primary interface for performing updates to and from XML files.

Method Summary
`String` | `getDesktopBookXml(com.bea.netuix.application.transform.disassembler.xip.ExportContext exportContext, DesktopDefinitionId desktopDefinitionId, String bookDefinitionLabel)`
`String` | `getDesktopPageXml(com.bea.netuix.application.transform.disassembler.xip.ExportContext exportContext, DesktopDefinitionId desktopDefinitionId, String pageDefinitionLabel)`
`String` | `getDesktopXml(com.bea.netuix.application.transform.disassembler.xip.ExportContext exportContext, DesktopDefinitionId desktopDefinitionId)`
`String` | `getLibraryBookXml(com.bea.netuix.application.transform.disassembler.xip.ExportContext exportContext, String webapp, String bookDefinitionLabel)`
`String` | `getLibraryPageXml(com.bea.netuix.application.transform.disassembler.xip.ExportContext exportContext, String webapp, String pageDefinitionLabel)`
`void` | `updateDesktopBookView(com.bea.netuix.application.transform.disassembler.xip.ImportContext importContext, DesktopDefinitionId desktopDefinitionId, String str)`
`void` | `updateDesktopPageView(com.bea.netuix.application.transform.disassembler.xip.ImportContext importContext, DesktopDefinitionId desktopDefinitionId, String str)`
`void` | `updateDesktopView(com.bea.netuix.application.transform.disassembler.xip.ImportContext importContext, DesktopDefinitionId desktopDefinitionId, String str)`
`void` | `updateLibraryBookView(com.bea.netuix.application.transform.disassembler.xip.ImportContext importContext, String webapp, String str)`
`void` | `updateLibraryPageView(com.bea.netuix.application.transform.disassembler.xip.ImportContext importContext, String webapp, String str)`

Method Detail

### getDesktopBookXml

    public String getDesktopBookXml(com.bea.netuix.application.transform.disassembler.xip.ExportContext exportContext,
                                    DesktopDefinitionId desktopDefinitionId,
                                    String bookDefinitionLabel)
                             throws RemoteException,
                                    NotEntitledException

  Throws:
    `RemoteException`
    `NotEntitledException`

### getDesktopPageXml

    public String getDesktopPageXml(com.bea.netuix.application.transform.disassembler.xip.ExportContext exportContext,
                                    DesktopDefinitionId desktopDefinitionId,
                                    String pageDefinitionLabel)
                             throws RemoteException,
                                    NotEntitledException

  Throws:
    `RemoteException`
    `NotEntitledException`

### getDesktopXml

    public String getDesktopXml(com.bea.netuix.application.transform.disassembler.xip.ExportContext exportContext,
                                DesktopDefinitionId desktopDefinitionId)
                         throws RemoteException,
                                NotEntitledException

  Throws:
    `RemoteException`
    `NotEntitledException`

### getLibraryBookXml

    public String getLibraryBookXml(com.bea.netuix.application.transform.disassembler.xip.ExportContext exportContext,
                                    String webapp,
                                    String bookDefinitionLabel)
                             throws RemoteException,
                                    NotEntitledException

  Throws:
    `RemoteException`
    `NotEntitledException`

### getLibraryPageXml

    public String getLibraryPageXml(com.bea.netuix.application.transform.disassembler.xip.ExportContext exportContext,
                                    String webapp,
                                    String pageDefinitionLabel)
                             throws RemoteException,
                                    NotEntitledException

  Throws:
    `RemoteException`
    `NotEntitledException`

### updateDesktopBookView

    public void updateDesktopBookView(com.bea.netuix.application.transform.disassembler.xip.ImportContext importContext,
                                      DesktopDefinitionId desktopDefinitionId,
                                      String str)
                               throws RemoteException,
                                      DuplicateDefinitionException,
                                      DuplicateObjectException,
                                      ObjectNotFoundException,
                                      NotEntitledException,
                                      UnsupportedEncodingException

  Throws:
    `RemoteException`
    `DuplicateDefinitionException`
    `DuplicateObjectException`
    `ObjectNotFoundException`
    `NotEntitledException`
    `UnsupportedEncodingException`

### updateDesktopPageView

    public void updateDesktopPageView(com.bea.netuix.application.transform.disassembler.xip.ImportContext importContext,
                                      DesktopDefinitionId desktopDefinitionId,
                                      String str)
                               throws RemoteException,
                                      DuplicateDefinitionException,
                                      DuplicateObjectException,
                                      ObjectNotFoundException,
                                      NotEntitledException,
                                      UnsupportedEncodingException

  Throws:
    `RemoteException`
    `DuplicateDefinitionException`
    `DuplicateObjectException`
    `ObjectNotFoundException`
    `NotEntitledException`
    `UnsupportedEncodingException`

### updateDesktopView

    public void updateDesktopView(com.bea.netuix.application.transform.disassembler.xip.ImportContext importContext,
                                  DesktopDefinitionId desktopDefinitionId,
                                  String str)
                           throws RemoteException,
                                  DuplicateDefinitionException,
                                  DuplicateObjectException,
                                  ObjectNotFoundException,
                                  NotEntitledException,
                                  UnsupportedEncodingException

  Throws:
    `RemoteException`
    `DuplicateDefinitionException`
    `DuplicateObjectException`
    `ObjectNotFoundException`
    `NotEntitledException`
    `UnsupportedEncodingException`

### updateLibraryBookView

    public void updateLibraryBookView(com.bea.netuix.application.transform.disassembler.xip.ImportContext importContext,
                                      String webapp,
                                      String str)
                               throws RemoteException,
                                      DuplicateDefinitionException,
                                      DuplicateObjectException,
                                      ObjectNotFoundException,
                                      NotEntitledException,
                                      UnsupportedEncodingException

  Throws:
    `RemoteException`
    `DuplicateDefinitionException`
    `DuplicateObjectException`
    `ObjectNotFoundException`
    `NotEntitledException`
    `UnsupportedEncodingException`

### updateLibraryPageView

    public void updateLibraryPageView(com.bea.netuix.application.transform.disassembler.xip.ImportContext importContext,
                                      String webapp,
                                      String str)
                               throws RemoteException,
                                      DuplicateDefinitionException,
                                      DuplicateObjectException,
                                      ObjectNotFoundException,
                                      NotEntitledException,
                                      UnsupportedEncodingException

  Throws:
    `RemoteException`
    `DuplicateDefinitionException`
    `DuplicateObjectException`
    `ObjectNotFoundException`
    `NotEntitledException`
    `UnsupportedEncodingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved